Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.defensive.sample
Class Company

    java.lang.Object
      ru.rsdn.defensive.sample.Company

    @Guarded
    public class Company

extends java.lang.Object

Компания

Field Summary
`private static java.lang.String` | `COUNT_NUMBERS_TIN_MESSAGE`
`private java.lang.String` | `email`
`private static java.lang.String` | `INVALID_EMAIL_MESSAGE`
`private java.lang.String` | `name`
`private static java.lang.String` | `NO_EMAIL_MESSAGE`
`private static java.lang.String` | `NO_NAME_MESSAGE`
`private static java.lang.String` | `NO_TIN_MESSAGE`
`private static java.lang.String` | `ONLY_NUMBERS_TIN_MESSAGE`
`private java.lang.String` | `tin`

Constructor Summary
`Company()`
Advised by: | `..GuardAspect.aj`

`Company(java.lang.String _name, java.lang.String _tin, java.lang.String _email)`

Advised by: | `..GuardAspect.aj`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
Advised by: | `..GuardAspect.aj`

`private static boolean` `equals(java.lang.Object obj0, java.lang.Object obj1)`

Advised by: | `..GuardAspect.aj`

`java.lang.String` `getEmail()`

Advised by: | `..GuardAspect.aj`

`java.lang.String` `getName()`

Advised by: | `..GuardAspect.aj`

`java.lang.String` `getTin()`

Advised by: | `..GuardAspect.aj`

`java.lang.String` `toString()`

Advised by: | `..GuardAspect.aj`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_NAME_MESSAGE

    private static final java.lang.String NO_NAME_MESSAGE

  See Also:
    Constant Field Values

### NO_TIN_MESSAGE

    private static final java.lang.String NO_TIN_MESSAGE

  See Also:
    Constant Field Values

### ONLY_NUMBERS_TIN_MESSAGE

    private static final java.lang.String ONLY_NUMBERS_TIN_MESSAGE

  See Also:
    Constant Field Values

### COUNT_NUMBERS_TIN_MESSAGE

    private static final java.lang.String COUNT_NUMBERS_TIN_MESSAGE

  See Also:
    Constant Field Values

### NO_EMAIL_MESSAGE

    private static final java.lang.String NO_EMAIL_MESSAGE

  See Also:
    Constant Field Values

### INVALID_EMAIL_MESSAGE

    private static final java.lang.String INVALID_EMAIL_MESSAGE

  See Also:
    Constant Field Values

### name

    private java.lang.String name

### tin

    private java.lang.String tin

### email

    private java.lang.String email

Constructor Detail

### Company

    public Company()

  Advised by: | `..GuardAspect.aj`

### Company

    public Company(java.lang.String _name,
                   java.lang.String _tin,
                   java.lang.String _email)

  Advised by: | `..GuardAspect.aj`

Method Detail

### getName

    public java.lang.String getName()

  Advised by: | `..GuardAspect.aj`

  Returns:
    название

### getTin

    public java.lang.String getTin()

  Advised by: | `..GuardAspect.aj`

  Returns:
    ИНН

### getEmail

    public java.lang.String getEmail()

  Advised by: | `..GuardAspect.aj`

  Returns:
    электронная почта

### toString

    public java.lang.String toString()

  Advised by: | `..GuardAspect.aj`

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Advised by: | `..GuardAspect.aj`

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    private static boolean equals(java.lang.Object obj0,
                                  java.lang.Object obj1)

  Advised by: | `..GuardAspect.aj`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD